:root{
   --primary : #346961;
   --background : #F8F8F6;
   --backgroundWhite : #FDFDFD;
   --textGray : #6A6A6C; 
   --textBlack : #313126;



}
/* Réglages */

*{
    margin: 0;
    box-sizing: border-box; 
}
html{
    font-size: 18px;
}
body{
    background-color: var(--background);
    color: var(--textGray);

}
a{
    text-decoration: none;
    display: inline-block;
}
section{
   padding: 100px 0;
   border-bottom: 0.5px solid var(--primary);

}
.container{
    max-width: 1080px;
    margin: auto ;

    
}

.padding-bottom{
    padding-bottom: 50px;
}

/* flexbox */

.flexColumn{
    display: flex;
    flex-direction: column;
    gap: 30px;
}
.flexColumnCenter{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.flexRow{
    display: flex;
    gap: 20px;
}

.flexWrap{
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

/* TypeScale */

h1{
  font-family: "KoHo", sans-serif;
  font-weight: 600;
  font-style: normal;
  font-size: 0.667rem;
}

h2{
  font-family: "KoHo", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 1.278rem;
}

.sectionTitle{
    font-family: "Outfit", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  font-size: 1.556rem;
  color: var(--textBlack);
}

h4{
  font-family: "KoHo", sans-serif;
  font-weight: 600;
  font-style: normal;
  font-size: 1.000rem;
  color: var(--textBlack);
}

.h2Hero {
  font-family: "Outfit", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  font-size: 3.4em;
  color: var(--primary);
}
.h2CTA{
     font-family: "Outfit", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  font-size: 2.444rem;
  color: var(--primary);
}
p , li{
font-family: "KoHo", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 1.000rem;
}
.h2probleme{
    font-family: "Outfit", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  font-size: 2.9rem;
  color: var(--primary);
}
strong{
  font-family: "KoHo", sans-serif;
  font-weight: 600;
  font-style: normal;
  color: var(--primary);
 font-size: 1.000rem;
}
em{
font-family: "KoHo", sans-serif;
  font-weight: 300;
  font-style: italic;
  font-size: 1.000rem;
}
.ml{
    font-family: "KoHo", sans-serif;
  font-weight: 600;
  font-style: normal;
  font-size: 0.9rem;
  color: var(--textBlack);
}
.descption{
  font-family: "KoHo", sans-serif;
  font-weight: 300;
  font-style: normal;
  font-size: 0.778rem;
}
/* composants */

.button{
    background-color: var(--primary);
    padding: 10px;
    border-radius: 3px;
    color: var(--background);
    width: fit-content;
    font-family: "KoHo", sans-serif;
  font-weight: 600;
  font-style: normal;
  font-size: 0.9rem;
}
.card{
    background-color: var(--backgroundWhite);
    padding: 20px ;
    border-radius: 3px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    img{
        width: 20px;
    }
    
}
#pourquoi .card , #impact .card{
    width: 255px;
}

#pourqui .card, #offre .card{
   width: 346px;
}
#offre .card:hover{
    border: 0.5px solid var(--primary);
}

.cardValue{
    width: 255px;
    border-top: 0.5px solid var(--primary);
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.tags{
    background-color: #59b5a75f;
    color: var(--primary) ;
    padding: 4px 10px;
    border-radius: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: fit-content;
}

/* Header */

header{
position: fixed;
margin-bottom: 10px;
padding: 20px 50px;
display: flex;
justify-content: space-between;
align-items: center;
width: 100%;
background-color: var(--background);
border-bottom: 0.5px solid var(--primary);


}
nav{
    display: flex;
    gap: 20px;
    align-items: center;

}
nav a{
font-family: "KoHo", sans-serif;
  font-weight: 600;
  font-style: normal;
  font-size: 0.9rem;
  color: var(--textBlack);
}
/* hover à travailler 
nav a:hover{
    color: var(--primary);
      font-weight: 700;
}
       */

.hero{
    padding-top: 200px;   
    
}

.methodeStep{
    display: flex;
    flex-direction: column;
    gap: 10px;
}

footer{
margin-bottom: 10px;
padding: 20px 50px;
display: flex;
justify-content: space-between;
align-items: center;
width: 100%;
background-color: var(--background);

}

.primary{
    color: var(--primary);
}

.divider{
    background-color: var(--primary);
    height: 0.5px;
    width: 100%;

}


/* RESPONSIVE DESIGN */

/* TABLETTE */
@media screen and (max-width: 1024px) {
        html{
        font-size: 16px;
    }

    .container{
        padding: 0 50px;
    }

    header,
    footer{
        padding: 20px 30px;
    }

    .h2Hero{
        font-size: 2.8rem;
    }

    .h2probleme{
        font-size: 2.3rem;
    }

    .h2CTA{
        font-size: 2rem;
    }

    #pourquoi .card,
    #impact .card,
    #pourqui .card,
    #offre .card,
    .cardValue{
        width: calc(50% - 10px);
    }

    .flexRow{
        flex-wrap: wrap;
    }
     #methode .flexRow{
        flex-direction: row;
        flex-wrap: nowrap;
    }
}

/* MOBILE */
@media screen and (max-width: 768px) {
 html{
        font-size: 15px;
    }
    section{
        padding: 70px 0;
    }

    .container{
        padding: 0 30px;
    }

    header{
        padding: 15px 20px;
        gap: 20px;
        align-items: flex-start;
    }

    header nav{
        flex-wrap: wrap;
        gap: 15px;
    }

    footer{
        padding: 20px;
        flex-direction: column;
        gap: 20px;
        align-items: flex-start;
    }

    footer nav{
        flex-wrap: wrap;
    }

    .hero{
        padding-top: 220px;
    }

    .h2Hero{
       
        line-height: 1.1;
    }

    .h2probleme{
       
        line-height: 1.2;
    }

    .h2CTA{
       
        text-align: center;
    }


    .flexRow{
        flex-direction: column;
    }


    .flexWrap{
        flex-direction: column;
    }

    
    #pourquoi .card,
    #impact .card,
    #pourqui .card,
    #offre .card,
    .cardValue{
        width: 100%;
    }
    
    .methodeStep .flexRow{
        flex-direction: row;
        flex-wrap: wrap;
    }
    
   
    .flexColumnCenter{
        text-align: center;
    }

    nav{
        gap: 10px;
    }

    .button{
        width: fit-content;
    }
}

/* PETITS MOBILES */
@media screen and (max-width: 480px) {
 html{
        font-size: 14px;
    }
    .container{
        padding: 0 20px;
    }

    header,
    footer{
        padding: 15px;
    }

    .hero{
        padding-top: 240px;
    }

   
    .button{
        width: 100%;
        text-align: center;
    }

    nav{
        width: 100%;
    }

    header nav a{
        width: 100%;
    }
}
